# 32/64bit spec-file
#
%define name	speedcrunch
%define version	0.10.1
%define release	2
%define _summary	Fast, high precision and powerful desktop calculator

Summary:	%_summary
Name:		%name
Version:	%version
Release:	%mkrel %release
License:	GPL
Group:		Office
URL:		http://www.speedcrunch.org/en/index.html
Source0:	https://code.google.com/p/speedcrunch/downloads/list/%name-%version.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	cmake >= 2.4.4
BuildRequires:	gcc-c++
BuildRequires:	qt4-devel >= 4.2
BuildRequires:	desktop-file-utils
BuildRequires:	qt4-linguist

%description
Unlike traditional desktop calculator, SpeedCrunch is easier to use. 
You just type the expression that you want to calculate and press Enter. 
You can see clearly what you typed along with the result in the scrollable display.


%prep
%setup -q

%build
%__install -dm 755 build
pushd build
	export QTDIR=%qt4dir
	export PATH=%qt4bin:$PATH
	export LD_LIBRARY_PATH=%qt4lib:$LD_LIBRARY_PATH

	lrelease ../src/speedcrunch.pro

	cmake \
		-DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
		-DCMAKE_LIBDIR="%{buildroot}%{_libdir}" VERBOSE=1\
		../src

	%__make
popd

%install
pushd build
	%makeinstall
popd

# menus
%__install -m 755 -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%name):command="%_bindir/%name" icon="%name.png" needs="X11" section="Office/Accessories" \
title="SpeedCrunch" longtitle="%_summary" startup_notify="true"
EOF

desktop-file-install --vendor "" \
 --add-category "X-MandrivaLinux-Office-Accessories" \
 --dir %{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
%update_menus

%postun
%clean_menus

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Apr 28 2013 pinoc <vogtpet at gmail.com> 0.10.1-2pclos2013
- rebuild on 32/64
- amended spec-file name and changed compression to xz

* Wed Jun 25 2008 Stumpy842 <stump842@gmail.com> 2.1.0-1
- Import for PCLOS
